Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170622 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170622

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (17.1.2 -> 17.1.3)
apache2 (2.4.25 -> 2.4.26)
cyrus-imapd (2.4.18 -> 2.4.19)
dbus-1
dbus-1-x11
efont-unicode-bitmap-fonts
finger
gcin
gstreamer-editing-services (1.12.0 -> 1.12.1)
gstreamer-rtsp-server (1.12.0 -> 1.12.1)
gstreamer-validate (1.12.0 -> 1.12.1)
gtksourceview (3.24.2 -> 3.24.3)
libjpeg62-turbo
lsb-release
net-snmp
patterns-kde
pcsc-lite (1.8.21 -> 1.8.22)
perl-Log-Dispatch (2.63 -> 2.65)
perl-Params-Validate (1.28 -> 1.29)
perl-Test-LeakTrace (0.15 -> 0.16)
plasma5-workspace
polkit-default-privs
python-cryptography (1.8.1 -> 1.9)
python3-gst (1.12.0 -> 1.12.1)
qt4-qtscript
squid (3.5.25 -> 3.5.26)
telnet
thin-provisioning-tools
vim
vm-install (0.8.66 -> 0.8.67)
yast2-country (3.2.11 -> 3.2.12)
yast2-kdump (3.2.4 -> 3.2.5)

=== Details ===

==== Mesa ====
Version update (17.1.2 -> 17.1.3)
Subpackages: Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel Mesa-libEGL1
Mesa-libGL-devel Mesa-libGL1 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva
libOSMesa8 libOSMesa8-32bit libgbm1 libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_radeon libwayland-egl1 libxatracker2

- update to 17.1.3
* fdo#100988 - glXGetCurrentDisplay() no longer works for FakeGLX contexts?
* fixes for radv, radeonsi, i965
- Fix baselibs.conf -> boo#1044813

==== apache2 ====
Version update (2.4.25 -> 2.4.26)
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- remove /usr/bin/http2 symlink only during apache2 package
uninstall, not upgrade [bsc#1041830]
- updated to 2.4.26: This release of Apache is a security, feature,
and bug fix release. For details, see
http://httpd.apache.org/dev/dist/CHANGES_2.4.26
- refreshed patches:
. httpd-2.4.12-lua-5.2.patch
. httpd-2.4.x-fate317766-config-control-two-protocol-options.diff
- removed patches (upstreamed)
. httpd-cache-forward-http-proxy.patch
. httpd-cache-revert-svn1773397.patch

==== cyrus-imapd ====
Version update (2.4.18 -> 2.4.19)
Subpackages: cyradm perl-Cyrus-IMAP perl-Cyrus-SIEVE-managesieve

- Rebased patch:
* cyrus-imapd-2.4.18-implicit_definitions.patch as
cyrus-imapd-2.4.19-implicit_definitions.patch
Add fix for implicit-fortify-decl in ldap.c
- Update to 2.4.19
* Complete backport of the new (2.5 and later) IMAP IDLE implementation
(thanks Thomas Jarosh). This fixes a bunch of bugs and race conditions that
were inherent to the older implementation
* New option ?imapidletimeout? overrides ?timeout? specifically for
connections in IDLE state
* OpenSSL 1.1.0 is now supported
* Fixed: imap ENABLED doesn?t print * ENABLED when nothing new enabled
* Fixed: mailbox lock management over rename (thanks Thomas Jarosh)
* Fixed: added overflow protection to urlfetch range checks
* Fixed: lmtpd can now deliver when mupdate server isn?t available (thanks
Michael Menge)
* Fixed task 227: service processes no longer divide by zero when invoked
with -T 0 argument (thanks Ian Batten and Jens Erat)
* Fixed task 229: ctl_cyrusdb now uses database paths from imapd.conf (thanks
Simon Matter)
* Fixed bug #3862: mailbox database changes now rolled back on mupdate
failure during rename (thanks Michael Menge)
* Fixed: XFER to 2.5 and later no longer downgrades index to oldest version
* Fixed: nonsensical ?TEXT.MIME? section now handled as ?HEADER?
* Fixed: added missing ?auditlog: ? prefix to backend connections (thanks
Wolfgang Breyha)
* Fixed: IMAP SEARCH crash on some platforms
* Fixed: memory leaks in IMAP SEARCH and IMAP APPEND
* Fixed Issue #1967: EXISTS count reported earlier if fetching past size of
previous message set
- Rebased patches:
* cyrus-imapd-2.4.17_drac_auth.patch as cyrus-imapd-2.4.19_drac_auth.patch
* cyrus-imapd-2.4.17_autocreate-0.10-0.patch as
cyrus-imapd-2.4.19_autocreate-0.10-0.patch
- Removed patches:
- cyrus-imapd-2.4.18-CVE-2015-8077.patch (upstream)
- cyrus-imapd-2.4.18-CVE-2015-8078.patch (upstream)
- Added cyrus-imapd-2.4.19.tar.gz.sig

==== dbus-1 ====
Subpackages: dbus-1-devel libdbus-1-3 libdbus-1-3-32bit

- swap to /usr/bin bsc#1029968
- Add the following fixes from SLE12
* bsc#980928 increase listen() backlog of AF_UNIX sockets to
SOMAXCONN fix-upstream-increase-backlog.patch
- The following bugs were already fixed but are missing changelog
entries
* bsc#867256 (No longer applicable)
* bsc#916785 (No longer applicable)
* bsc#1012564 (Not applicable)
* fdo#90004 (Fixed Upstream)
- Rename the following patches as a tidy up
* dbus-log-deny.patch to feature-suse-log-deny.patch
* dbus-do-autolaunch.patch feature-suse-do-autolaunch.patch
* 0001-Add-RefuseManualStartStop.patch to
feature-suse-refuse-manual-start-stop.patch
* 0001-Drop-Install-sections-from-user-services.patch to
fix-upstream-drop-install-sections-from-user-services.patch

==== dbus-1-x11 ====

- swap to /usr/bin bsc#1029968
- Add the following fixes from SLE12
* bsc#980928 increase listen() backlog of AF_UNIX sockets to
SOMAXCONN fix-upstream-increase-backlog.patch
- The following bugs were already fixed but are missing changelog
entries
* bsc#867256 (No longer applicable)
* bsc#916785 (No longer applicable)
* bsc#1012564 (Not applicable)
* fdo#90004 (Fixed Upstream)
- Rename the following patches as a tidy up
* dbus-log-deny.patch to feature-suse-log-deny.patch
* dbus-do-autolaunch.patch feature-suse-do-autolaunch.patch
* 0001-Add-RefuseManualStartStop.patch to
feature-suse-refuse-manual-start-stop.patch
* 0001-Drop-Install-sections-from-user-services.patch to
fix-upstream-drop-install-sections-from-user-services.patch

==== efont-unicode-bitmap-fonts ====

- Add reproducible.patch to call gzip -n to make build fully reproducible

==== finger ====

- Switch from xinetd service to systemd socket activated one
- Cleanup a bit with spec-cleaner

==== gcin ====
Subpackages: gcin-gtk2 gcin-gtk3 gcin-qt4 gcin-qt5 libgcin-im-client1

- Amend gcin-improve-build-with-pkgconfig.patch for Qt 5.9.0

==== gstreamer-editing-services ====
Version update (1.12.0 -> 1.12.1)
Subpackages: libges-1_0-0 typelib-1_0-GES-1_0

- Update to version 1.12.1:
+ No changes, stable version bump only.

==== gstreamer-rtsp-server ====
Version update (1.12.0 -> 1.12.1)

- Update to version 1.12.1:
+ No changes, stable version bump only.

==== gstreamer-validate ====
Version update (1.12.0 -> 1.12.1)
Subpackages: libgstvalidate-1_0-0 typelib-1_0-GstValidate-1_0

- Update to version 1.12.1:
+ validate: Target the 1.12 integration testsuite.
+ Fixup version in meson.build.

==== gtksourceview ====
Version update (3.24.2 -> 3.24.3)
Subpackages: libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Update to version 3.24.3:
+ Improvements to the syntax highlighting of: SPARQL, CSS, BibTeX
and LaTeX.

==== libjpeg62-turbo ====
Subpackages: libjpeg62 libjpeg62-devel

- mention the included utilities (djpeg, jpegtran, rdjpgcom,
tjbench, and wrjpgcom) in the package description.

==== lsb-release ====

- Add reproducible.patch to drop current timestamps from man-page to make build
reproducible

==== net-snmp ====
Subpackages: libsnmp30 libsnmp30-32bit net-snmp-devel perl-SNMP snmp-mibs

- Fix build with OpenSSL 1.1 (bsc#1042664):
+ Add net-snmp-5.7.3-build-with-openssl-1.1.patch, cumulated
squash-patch from the following upstream commits:
bbed6b86e70b5a3c54f14992696f2308a8d79511
14bb72fd12bf5b68662893f7d8afbc4a8d52a6c8
9641b472ef01208f92631016e91b0a4a518163f0
e4c6937483d4a680570cec05388d2e4b291868a6
b906c60c8a436d7360267a6d242526b33a9aaac8

==== patterns-kde ====
Subpackages: patterns-kde-devel_kde patterns-kde-devel_kde_frameworks
patterns-kde-devel_qt5 patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_plasma patterns-kde-kde_telepathy patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast
patterns-kde-sw_management_kde

- Do not require basesystem: KDE builds on top of X11, it is not
our worry to understand what X11 builds upon (happens to be base
too).
- Replace susehelp with khelpcenter5

==== pcsc-lite ====
Version update (1.8.21 -> 1.8.22)
Subpackages: libpcsclite1

- Updated to version 1.8.22
* SCardCancel() was broken in 1.8.21. The call was blocking.
* Enable use of info level logging for pcscd using -i/--info

==== perl-Log-Dispatch ====
Version update (2.63 -> 2.65)

- updated to 2.65
see /usr/share/doc/packages/perl-Log-Dispatch/Changes
2.65 2017-06-11
- When Log::Dispatch::File is asked to chmod a file and that fails, show the
requested permissions in octal. Patch by Carsten Grohmann. GitHub #46.
2.64 2017-02-25 (TRIAL RELEASE)
- Improve level validation and canonicalization logic. Patch by Kerin Millar,
minor changes and tests by Kivanc Yazan. Github #42.
- The log_and_die and log_and_croak methods are now identical, as we set
@CARP_NOT for Log::Dispatch to exclude the Log::Dispatch package. You can
still explicitly pass carp_level to log_and_croak.

==== perl-Params-Validate ====
Version update (1.28 -> 1.29)

- updated to 1.29
see /usr/share/doc/packages/perl-Params-Validate/Changes
1.29 2017-06-11
- Fixes for MSVC compilation. Patch by Andy Grundman. PR #15.

==== perl-Test-LeakTrace ====
Version update (0.15 -> 0.16)

- updated to 0.16
see /usr/share/doc/packages/perl-Test-LeakTrace/Changes
0.16 2017-06-17
- Fix build and test issues with perl5.26 due to removal of . from @INC
(PR #4 - thanks to jkeenan)

==== plasma5-workspace ====
Subpackages: drkonqi5 plasma5-workspace-devel plasma5-workspace-libs

- Add xembedsniproxy-fix-possible-crash.patch to fix a possible
crash

==== polkit-default-privs ====

- relaxing action "org.opensuse.cupspkhelper.mechanism.job-edit" (bsc#827331)

==== python-cryptography ====
Version update (1.8.1 -> 1.9)
Subpackages: python2-cryptography python3-cryptography

- update to 1.9

==== python3-gst ====
Version update (1.12.0 -> 1.12.1)

- Update to version 1.12.1:
+ No changes, stable version bump only.

==== qt4-qtscript ====

- Add reproducible.patch to sort input to make build reproducible

==== squid ====
Version update (3.5.25 -> 3.5.26)

- Packaging cleanup
- Dropped:
* squid-brokenad.patch
* squid-config.patch
* squid.init squid.init.rh
* squid-old-kerberos.patch
* squid-rpmlintrc
- Update description and url
- Update Squid to 3.5.26
* SubjectAlternativeNames missing in some generated certificates
Previous releases of Squid were not able to generate valid
mimic certificates from AltName server certificate field only.
* Fix ignoring http_access deny with client-first bumping mode
* ssl_crtd: now returns non-zero on failure
* Fix FTP directory listings display issues
* OpenSSL support better compliance with license requirements
This release of Squid will now include the required OpenSSL
advertisement on builds -v output where features are displayed.

==== telnet ====

- Removed xinetd service
- Added telnet@.service and telnet.socket
- Cleanup of telnet.spec

==== thin-provisioning-tools ====

- Update dependencies of scriplets (boo#1044823)

==== vim ====
Subpackages: gvim vim-data

- Bump priorities so we can upgrade from 12.3

==== vm-install ====
Version update (0.8.66 -> 0.8.67)

- bsc#1024437 - vm-install interprets disk size incorrectly when
used as an option to the command
- Version 0.8.67

==== yast2-country ====
Version update (3.2.11 -> 3.2.12)
Subpackages: yast2-country-data

- Alterations in vconsole.conf performed by localectl and not
directly by YaST (bsc#1023774).
- 3.2.12

==== yast2-kdump ====
Version update (3.2.4 -> 3.2.5)

- The alloc_mem parameter is verified to be in accordance with
documentation (bsc#1045098).
- Pop-up is suppressed from command line when the user enables or
disables kdump (bsc#1045103).
- 3.2.5


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups